Package org.gradle.api.plugins.quality

## Class CodeNarcPlugin

- java.lang.Object
- - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>
  - - org.gradle.api.plugins.quality.CodeNarcPlugin

- All Implemented Interfaces:
    `Plugin<org.gradle.api.internal.project.ProjectInternal>`

      public class CodeNarcPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>

  CodeNarc Plugin.
  See Also:
    CodeNarc plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_CODENARC_VERSION` |

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodeNarcPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configureConfiguration​(Configuration configuration)` |
    `protected void` | `configureForSourceSet​(SourceSet sourceSet, CodeNarc task)` |
    `protected void` | `configureTaskDefaults​(CodeNarc task, java.lang.String baseName)` |
    `protected CodeQualityExtension` | `createExtension()` |
    `protected java.lang.Class<? extends Plugin>` | `getBasePlugin()` |
    `protected java.lang.Class<CodeNarc>` | `getTaskType()` |
    `protected java.lang.String` | `getToolName()` |

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, beforeApply, conventionMappingOf, createConfigurations, getConfigurationName, getJavaPluginConvention, getJavaPluginExtension, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CODENARC_VERSION

          public static final java.lang.String DEFAULT_CODENARC_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeNarcPlugin

          public CodeNarcPlugin()

  - ### Method Detail

    - #### getToolName

          protected java.lang.String getToolName()

      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### getTaskType

          protected java.lang.Class<CodeNarc> getTaskType()

      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### getBasePlugin

          protected java.lang.Class<? extends Plugin> getBasePlugin()

      Overrides:
        `getBasePlugin` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### configureConfiguration

          protected void configureConfiguration​(Configuration configuration)

      Specified by:
        `configureConfiguration` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults​(CodeNarc task,
                                               java.lang.String baseName)

      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`

    - #### configureForSourceSet

          protected void configureForSourceSet​(SourceSet sourceSet,
                                               CodeNarc task)

      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<CodeNarc>`